Subject: Re: [PATCH net-next v4] net: mana: Allow variable size indirection table

From: Leon Romanovsky <[email-masked]>
Date: Wed, 12 Jun 2024 21:30:51 +0300

On Mon, Jun 10, 2024 at 03:28:39AM -0700, Shradha Gupta wrote:
> Allow variable size indirection table allocation in MANA instead
> of using a constant value MANA_INDIRECT_TABLE_SIZE.
> The size is now derived from the MANA_QUERY_VPORT_CONFIG and the
> indirection table is allocated dynamically.
> 
> Signed-off-by: Shradha Gupta <[email-masked]>
> Reviewed-by: Dexuan Cui <[email-masked]>
> Reviewed-by: Haiyang Zhang <[email-masked]>
> ---
>  Changes in v4:
>  * Skip NULLify after free
>  * Log proper errors in mana_probe() if mana_attach(), mana_probe_port()
>    fails
>  * Implement mana_cleanup_indir_table() to avoid code duplication.
> 
>  Changes in v3:
>  * Fixed the memory leak(save_table) in mana_set_rxfh()
> 
>  Changes in v2:
>  * Rebased to latest net-next tree
>  * Rearranged cleanup code in mana_probe_port to avoid extra operations
> ---
>  drivers/infiniband/hw/mana/qp.c               | 10 +--
>  drivers/net/ethernet/microsoft/mana/mana_en.c | 85 ++++++++++++++++---
>  .../ethernet/microsoft/mana/mana_ethtool.c    | 27 ++++--
>  include/net/mana/gdma.h                       |  4 +-
>  include/net/mana/mana.h                       |  9 +-
>  5 files changed, 104 insertions(+), 31 deletions(-)

Hi Jakub,

Like we talked, I created new shared branch for this patch:
https://git.kernel.org/pub/scm/linux/kernel/git/rdma/rdma.git/log/?h=mana-shared

Because it took time, the base of this branch is v6.10-rc3 as I'm eager
to get the commit c9d52fb313d3 ("PCI: Revert the cfg_access_lock lockdep mechanism")
from Linus's master, and this shared patch gives me the reason to pull
the fix.

I see that your net-next didn't get -rc3 tag yet, so please pull it after you
advance net-next. After that I'll do the same in RDMA tree.

Thanks